package com.muyu.pay.common.domain;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;
import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "order_pay_refund",autoResultMap = true)
public class OrderPayRefund extends BaseEntity {

    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 客户退单号
     */
    private String cusOrderNumber;

    /**
     *支付退单号
     */
    private String payOrderNumber;

    /**
     * 渠道商退单号
     */
    private String channelOrderNumber;

    /**
     * 退款金额
     */
    private BigDecimal price;

    /**
     * 支付单号
     */
    private String payInfoNumber;

    /**
     * 到账时间
     */
    private Date toAccountTIme;

    /**
     * 状态
     */
    private String status;

}
