package com.muyu.pay.common.domain.req;

import com.muyu.common.core.validation.custom.IsSystemYesNo;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "客户列表请求对象" )
public class CustomerListReq {
    /**
     * 服务/客户名称
     */
    @Schema( defaultValue ="客户名称1", description = "客户名称 为微服务名称",type = "Long")
    private String appName;
    /**
     * 服务/客户编码
     */
    @Schema(defaultValue = "customer_code",description = "客户编吗 为微服务名称",type = "String")
    private String appCode;

    /**
     * 状态
     *
     */
    @Schema(defaultValue = "Y",description = "客户状态 Y是开启 N是关闭",type = "String")
    @IsSystemYesNo
    private String status;

}
