package com.muyu.pay.common.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "客户支付单",description = "客户支付单信息")
public class CustomerOrderPaySimpleResp {


    /**
     * 客户单号
     */
    @Schema(name = "客户单号",description = "客户单号",type = "String",defaultValue = "aliyunzfb1239912331")
    private String cusOrderNumber;

    /**
     * 支付单号
     */
    @Schema(name = "支付单号",description = "支付单号",type = "String",defaultValue = "llffasd31231223")
    private String payOrderNumber;

    /**
     * 支付金额
     */
    @Schema(name = "支付金额",description = "支付金额",type = "BigDecimal",defaultValue = "25.3")
    private BigDecimal price;


    /**
     * 渠道商类型
     */
    @Schema(name = "渠道商类型",description = "用户支付的时候选择渠道商",type = "BigDecimal",defaultValue = "支付宝")
    private String channelTypeName;





}
