package com.muyu.pay.server.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.pay.common.domain.OrderPayInfo;
import com.muyu.pay.server.mapper.OrderPayInfoMapper;
import com.muyu.pay.server.service.OrderPayInfoService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import java.util.List;

@Log4j2
@Service
public class OrderPayInfoServiceImpl extends ServiceImpl<OrderPayInfoMapper, OrderPayInfo> implements OrderPayInfoService {
    @Override
    public List<OrderPayInfo> selectOrderPayByAppCodeAndLimit(String appCode, int status) {
        LambdaQueryWrapper<OrderPayInfo> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(OrderPayInfo::getAppCode,appCode);
        wrapper.orderBy(true,false,OrderPayInfo::getCreateBy);
        wrapper.last("limit "+status);
        return this.list(wrapper);
    }
}
